Name: x11-driver-video-xgixp
Version: 1.8.1
Release: %mkrel 29
Summary: X.org driver for XGIxp Cards
Group: System/X11
URL: https://xorg.freedesktop.org
Source0: https://xorg.freedesktop.org/releases/individual/driver/xf86-video-xgixp-%{version}.tar.bz2
Patch0: 0001-Remove-mibstore.h.patch
Patch2: 0002-Remove-symbol-lists-as-they-are-not-used-any-more.patch
Patch3: 0003-shadow-shadowInit-shadowAdd-Remove.patch
Patch4: 0004-Stop-using-deprecated-xf86PciInfo.h.patch
Patch5: 0005-Update-for-new-damage-API.patch
Patch6: 0006-Adapt-Block-WakeupHandler-signature-for-ABI-23.patch
Patch7: 0007-Revert-Adapt-Block-WakeupHandler-signature-for-ABI-2.patch
Patch8: 0008-Adapt-Block-WakeupHandler-signature-for-ABI-23.patch
Patch9: https://gitlab.freedesktop.org/xorg/driver/xf86-video-xgixp/-/commit/3eca91e150f9fbf4d24e7c96bd33c02fded2c149.patch
License: MIT
ExclusiveArch: %ix86 x86_64
BuildRequires: x11-util-macros		>= 1.1.5
BuildRequires: pkgconfig(libdrm)		>= 2.3.0
BuildRequires: pkgconfig(pixman-1)	>= 0.9.6
BuildRequires: x11-proto-devel		>= 7.3
BuildRequires: libmesagl-devel		>= 7.0.2
BuildRequires: pkgconfig(xorg-server)		>= 1.4

%description
x11-driver-video-xgixp is the X.org driver for Generic XGIxp Cards.

%prep
%setup -q -n xf86-video-xgixp-%{version}
%autopatch -p1

%build
# fix build on aarch64
autoreconf -vfi

%configure
%make_build

%install
%make_install

# we don't want these
find %{buildroot} -name "*.la" -delete

%files
%{_libdir}/xorg/modules/drivers/xgixp_drv.so
%{_mandir}/man4/xgixp.*




%changelog
* Wed Aug 03 2022 tv <tv> 1.8.1-29.mga9
+ Revision: 1874930
- Fix building with latest xserver
+ umeabot <umeabot>
- Mageia 9 Mass Rebuild
+ danf <danf>
- Switch URLs from http: to https:

* Wed Feb 19 2020 tv <tv> 1.8.1-28.mga8
+ Revision: 1544062
- only build on x86 x86_64
+ umeabot <umeabot>
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sun Sep 23 2018 umeabot <umeabot> 1.8.1-27.mga7
+ Revision: 1301783
- Mageia 7 Mass Rebuild

* Thu Jun 21 2018 wally <wally> 1.8.1-26.mga7
+ Revision: 1238595
- fix build on aarch64
- drop .la files
- use new make macros
- drop old conflicts

* Fri Mar 09 2018 tv <tv> 1.8.1-25.mga7
+ Revision: 1207731
- rebuild for xserver 1.20 RC1

* Thu Nov 17 2016 tv <tv> 1.8.1-24.mga6
+ Revision: 1067796
- add fixes from git
- rebuild for xserver 1.19

* Sat Jul 23 2016 tmb <tmb> 1.8.1-22.mga6
+ Revision: 1043304
- rebuild for xorg-server 1.18.4

* Wed Feb 17 2016 umeabot <umeabot> 1.8.1-21.mga6
+ Revision: 963468
- Mageia 6 Mass Rebuild

* Wed Nov 11 2015 tv <tv> 1.8.1-20.mga6
+ Revision: 902325
- submit to core/release

* Wed Nov 11 2015 tv <tv> 1.8.1-19.mga6
+ Revision: 902077
- rebuild for new xserver

* Mon Nov 02 2015 blino <blino> 1.8.1-18.mga6
+ Revision: 897404
- no need to disable debug package
- remove armv5tl arch exclusion, there is no reason to do so

* Mon Nov 02 2015 tv <tv> 1.8.1-16.mga6
+ Revision: 897392
- submit to core/releaes

* Mon Nov 02 2015 tv <tv> 1.8.1-15.mga6
+ Revision: 897371
- ExcludeArch: armv5tl

* Mon Nov 02 2015 tv <tv> 1.8.1-14.mga6
+ Revision: 897350
- add fixes from git
- rebuild for xserver 1.17

* Wed Oct 15 2014 umeabot <umeabot> 1.8.1-12.mga5
+ Revision: 743640
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.8.1-11.mga5
+ Revision: 690472
- Mageia 5 Mass Rebuild

* Mon Jun 09 2014 tv <tv> 1.8.1-10.mga5
+ Revision: 635065
- submit to core/release

* Fri Jun 06 2014 tv <tv> 1.8.1-9.mga5
+ Revision: 633707
- rebuild for new xserver RC

* Tue Apr 15 2014 tv <tv> 1.8.1-8.mga5
+ Revision: 614405
- rebuild for new xserver

* Tue Feb 04 2014 tv <tv> 1.8.1-7.mga5
+ Revision: 582385
- patch 0: fix build with xserver-1.14

* Fri Dec 06 2013 tmb <tmb> 1.8.1-6.mga4
+ Revision: 555626
- rebuild for new mesa

* Sat Oct 19 2013 umeabot <umeabot> 1.8.1-5.mga4
+ Revision: 525460
- Mageia 4 Mass Rebuild

* Thu May 30 2013 tv <tv> 1.8.1-4.mga4
+ Revision: 433210
- submit to core/release

* Fri May 24 2013 tv <tv> 1.8.1-3.mga4
+ Revision: 426015
- patch 0: fix build with xserver-1.14

* Mon Jan 14 2013 umeabot <umeabot> 1.8.1-3.mga3
+ Revision: 386042
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Sep 06 2012 tv <tv> 1.8.1-2.mga3.nonfree
+ Revision: 288983
- rebuild for new xserver

* Mon Jul 23 2012 tv <tv> 1.8.1-1.mga3
+ Revision: 273788
- new release

* Wed Jun 06 2012 tmb <tmb> 1.8.0-7.mga3
+ Revision: 256514
- rebuild for core/release

* Fri Jun 01 2012 tv <tv> 1.8.0-6.mga3
+ Revision: 253045
- rebuild b/c of ia32 failure

* Wed May 30 2012 tv <tv> 1.8.0-5.mga3
+ Revision: 249993
- rebuild for new X.org server

* Tue Dec 06 2011 tmb <tmb> 1.8.0-4.mga2
+ Revision: 177725
- submit to core/release

* Sat Oct 08 2011 tv <tv> 1.8.0-3.mga2
+ Revision: 153142
- rebuild for xserver-1.11

* Fri Feb 11 2011 tmb <tmb> 1.8.0-2.mga1
+ Revision: 50359
- imported package x11-driver-video-xgixp

